Package ghidra.features.bsim.gui.search.dialog

# Class BSimFilterSet

java.lang.Object
ghidra.features.bsim.gui.search.dialog.BSimFilterSet

public class BSimFilterSet extends Object
Maintains the set of current filters in a nicer way than BSimFiler which breaks them down into filter pieces that doesn't maintain any order.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final record`
  `BSimFilterSet.FilterEntry`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BSimFilterSet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEntry(BSimFilterType filterType, List<String> values)`
  Adds a filter entry to this set of filters
  `BSimFilterSet`
  `copy()`
  Returns a copy of this FilterSet.
  `BSimFilter`
  `getBSimFilter()`
  Returns the corresponding BSimFilter for this FilterSet.
  `List<BSimFilterSet.FilterEntry>`
  `getFilterEntries()`
  Returns the filter entries contains in this FilterSet.
  `void`
  `removeAll(BSimFilterType filterType)`
  Removes all filter entries for the given FilterType.
  `int`
  `size()`
  Returns the number of filter entries in this filter set.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BSimFilterSet

    public BSimFilterSet()

- ## Method Details

  - ### addEntry

    public void addEntry(BSimFilterType filterType, List<String> values)
    Adds a filter entry to this set of filters
    Parameters:
      `filterType` - the BSimFilterType for the added filter
      `values` - the list of values for the given filter type

  - ### size

    public int size()
    Returns the number of filter entries in this filter set.
    Returns:
      the number of filter entries in this filter set

  - ### getBSimFilter

    public BSimFilter getBSimFilter()
    Returns the corresponding BSimFilter for this FilterSet.
    Returns:
      the corresponding BSimFilter for this FilterSet

  - ### copy

    public BSimFilterSet copy()
    Returns a copy of this FilterSet.
    Returns:
      a copy of this FilterSet

  - ### getFilterEntries

    public List<BSimFilterSet.FilterEntry> getFilterEntries()
    Returns the filter entries contains in this FilterSet.
    Returns:
      the filter entries contains in this FilterSet

  - ### removeAll

    public void removeAll(BSimFilterType filterType)
    Removes all filter entries for the given FilterType.
    Parameters:
      `filterType` - the type of filters to be removed from this set